package cz.frantovo.nekurak.xml;

import cz.frantovo.nekurak.dto.Clanek;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * Převaděč do XML
 * @author fiki
 */
@XmlRootElement(name="clanek")
public class ClanekXML {

    private Clanek clanek;

    public ClanekXML() {
	clanek = new Clanek();
    }

    public ClanekXML(Clanek clanek) {
	this.clanek = clanek;
    }

    @XmlElement
    public int getId() {
	return clanek.getId();
    }

    public void setId(int id) {
	clanek.setId(id);
    }

    @XmlElement
    public String getNadpis() {
	return clanek.getNadpis();
    }

    public void setNadpis(String nadpis) {
	clanek.setNadpis(nadpis);
    }

    @XmlElement
    public String getText() {
	return clanek.getText();
    }

    public void setText(String text) {
	clanek.setText(text);
    }

    public Clanek getClanek() {
	return clanek;
    }

}
